Anti-splog Error

Hello,

I updated anti-splog to the latest version available for download today which is 1.0.5. Unfortunately, I forgot to remove the older version in mu-plugins before I activated the new one in plugins directory. It gave my website (multi-db, buddypress, and wordpress) a blank page everywhere. I fixed the problem by removing the new version and older version of anti-splog altogether.

The problem is now when I try to install the version 1.0.5 of anti-splog again, the same problem exists even though the older version has been removed. How to fix this? As now I cannot use anti-splog!